Create a new Feedback Record
curl --request POST \
--url https://insights.reforge.com/api/v1/feedbacks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"title": "<string>",
"isTranscript": true,
"tags": [
"<string>"
],
"isExternalContactId": false,
"contact": {
"name": "<string>",
"email": "<string>",
"sourceData": {}
},
"contactId": "<string>",
"isExternalAccountId": false,
"account": {
"name": "<string>",
"domain": "<string>",
"contractValue": 123,
"sourceData": {}
},
"accountId": "<string>",
"source": "<string>",
"sourceId": "<string>",
"shouldUnflattenSourceData": true,
"sourceData": {},
"rating": 123
}
'import requests
url = "https://insights.reforge.com/api/v1/feedbacks"
payload = {
"description": "<string>",
"title": "<string>",
"isTranscript": True,
"tags": ["<string>"],
"isExternalContactId": False,
"contact": {
"name": "<string>",
"email": "<string>",
"sourceData": {}
},
"contactId": "<string>",
"isExternalAccountId": False,
"account": {
"name": "<string>",
"domain": "<string>",
"contractValue": 123,
"sourceData": {}
},
"accountId": "<string>",
"source": "<string>",
"sourceId": "<string>",
"shouldUnflattenSourceData": True,
"sourceData": {},
"rating": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
title: '<string>',
isTranscript: true,
tags: ['<string>'],
isExternalContactId: false,
contact: {name: '<string>', email: '<string>', sourceData: {}},
contactId: '<string>',
isExternalAccountId: false,
account: {name: '<string>', domain: '<string>', contractValue: 123, sourceData: {}},
accountId: '<string>',
source: '<string>',
sourceId: '<string>',
shouldUnflattenSourceData: true,
sourceData: {},
rating: 123
})
};
fetch('https://insights.reforge.com/api/v1/feedbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://insights.reforge.com/api/v1/feedbacks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'title' => '<string>',
'isTranscript' => true,
'tags' => [
'<string>'
],
'isExternalContactId' => false,
'contact' => [
'name' => '<string>',
'email' => '<string>',
'sourceData' => [
]
],
'contactId' => '<string>',
'isExternalAccountId' => false,
'account' => [
'name' => '<string>',
'domain' => '<string>',
'contractValue' => 123,
'sourceData' => [
]
],
'accountId' => '<string>',
'source' => '<string>',
'sourceId' => '<string>',
'shouldUnflattenSourceData' => true,
'sourceData' => [
],
'rating' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://insights.reforge.com/api/v1/feedbacks"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"title\": \"<string>\",\n \"isTranscript\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"isExternalContactId\": false,\n \"contact\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"sourceData\": {}\n },\n \"contactId\": \"<string>\",\n \"isExternalAccountId\": false,\n \"account\": {\n \"name\": \"<string>\",\n \"domain\": \"<string>\",\n \"contractValue\": 123,\n \"sourceData\": {}\n },\n \"accountId\": \"<string>\",\n \"source\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"shouldUnflattenSourceData\": true,\n \"sourceData\": {},\n \"rating\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://insights.reforge.com/api/v1/feedbacks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"title\": \"<string>\",\n \"isTranscript\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"isExternalContactId\": false,\n \"contact\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"sourceData\": {}\n },\n \"contactId\": \"<string>\",\n \"isExternalAccountId\": false,\n \"account\": {\n \"name\": \"<string>\",\n \"domain\": \"<string>\",\n \"contractValue\": 123,\n \"sourceData\": {}\n },\n \"accountId\": \"<string>\",\n \"source\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"shouldUnflattenSourceData\": true,\n \"sourceData\": {},\n \"rating\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://insights.reforge.com/api/v1/feedbacks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"title\": \"<string>\",\n \"isTranscript\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"isExternalContactId\": false,\n \"contact\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"sourceData\": {}\n },\n \"contactId\": \"<string>\",\n \"isExternalAccountId\": false,\n \"account\": {\n \"name\": \"<string>\",\n \"domain\": \"<string>\",\n \"contractValue\": 123,\n \"sourceData\": {}\n },\n \"accountId\": \"<string>\",\n \"source\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"shouldUnflattenSourceData\": true,\n \"sourceData\": {},\n \"rating\": 123\n}"
response = http.request(request)
puts response.read_body{
"feedback": {
"id": "<string>",
"description": "<string>",
"customerId": "<string>",
"projectId": "<string>",
"rating": 123,
"sourceId": "<string>",
"sourceData": {}
}
}Feedback
Create a new Feedback Record
POST
/
feedbacks
Create a new Feedback Record
curl --request POST \
--url https://insights.reforge.com/api/v1/feedbacks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"title": "<string>",
"isTranscript": true,
"tags": [
"<string>"
],
"isExternalContactId": false,
"contact": {
"name": "<string>",
"email": "<string>",
"sourceData": {}
},
"contactId": "<string>",
"isExternalAccountId": false,
"account": {
"name": "<string>",
"domain": "<string>",
"contractValue": 123,
"sourceData": {}
},
"accountId": "<string>",
"source": "<string>",
"sourceId": "<string>",
"shouldUnflattenSourceData": true,
"sourceData": {},
"rating": 123
}
'import requests
url = "https://insights.reforge.com/api/v1/feedbacks"
payload = {
"description": "<string>",
"title": "<string>",
"isTranscript": True,
"tags": ["<string>"],
"isExternalContactId": False,
"contact": {
"name": "<string>",
"email": "<string>",
"sourceData": {}
},
"contactId": "<string>",
"isExternalAccountId": False,
"account": {
"name": "<string>",
"domain": "<string>",
"contractValue": 123,
"sourceData": {}
},
"accountId": "<string>",
"source": "<string>",
"sourceId": "<string>",
"shouldUnflattenSourceData": True,
"sourceData": {},
"rating": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
title: '<string>',
isTranscript: true,
tags: ['<string>'],
isExternalContactId: false,
contact: {name: '<string>', email: '<string>', sourceData: {}},
contactId: '<string>',
isExternalAccountId: false,
account: {name: '<string>', domain: '<string>', contractValue: 123, sourceData: {}},
accountId: '<string>',
source: '<string>',
sourceId: '<string>',
shouldUnflattenSourceData: true,
sourceData: {},
rating: 123
})
};
fetch('https://insights.reforge.com/api/v1/feedbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://insights.reforge.com/api/v1/feedbacks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'title' => '<string>',
'isTranscript' => true,
'tags' => [
'<string>'
],
'isExternalContactId' => false,
'contact' => [
'name' => '<string>',
'email' => '<string>',
'sourceData' => [
]
],
'contactId' => '<string>',
'isExternalAccountId' => false,
'account' => [
'name' => '<string>',
'domain' => '<string>',
'contractValue' => 123,
'sourceData' => [
]
],
'accountId' => '<string>',
'source' => '<string>',
'sourceId' => '<string>',
'shouldUnflattenSourceData' => true,
'sourceData' => [
],
'rating' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://insights.reforge.com/api/v1/feedbacks"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"title\": \"<string>\",\n \"isTranscript\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"isExternalContactId\": false,\n \"contact\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"sourceData\": {}\n },\n \"contactId\": \"<string>\",\n \"isExternalAccountId\": false,\n \"account\": {\n \"name\": \"<string>\",\n \"domain\": \"<string>\",\n \"contractValue\": 123,\n \"sourceData\": {}\n },\n \"accountId\": \"<string>\",\n \"source\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"shouldUnflattenSourceData\": true,\n \"sourceData\": {},\n \"rating\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://insights.reforge.com/api/v1/feedbacks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"title\": \"<string>\",\n \"isTranscript\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"isExternalContactId\": false,\n \"contact\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"sourceData\": {}\n },\n \"contactId\": \"<string>\",\n \"isExternalAccountId\": false,\n \"account\": {\n \"name\": \"<string>\",\n \"domain\": \"<string>\",\n \"contractValue\": 123,\n \"sourceData\": {}\n },\n \"accountId\": \"<string>\",\n \"source\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"shouldUnflattenSourceData\": true,\n \"sourceData\": {},\n \"rating\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://insights.reforge.com/api/v1/feedbacks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"title\": \"<string>\",\n \"isTranscript\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"isExternalContactId\": false,\n \"contact\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"sourceData\": {}\n },\n \"contactId\": \"<string>\",\n \"isExternalAccountId\": false,\n \"account\": {\n \"name\": \"<string>\",\n \"domain\": \"<string>\",\n \"contractValue\": 123,\n \"sourceData\": {}\n },\n \"accountId\": \"<string>\",\n \"source\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"shouldUnflattenSourceData\": true,\n \"sourceData\": {},\n \"rating\": 123\n}"
response = http.request(request)
puts response.read_body{
"feedback": {
"id": "<string>",
"description": "<string>",
"customerId": "<string>",
"projectId": "<string>",
"rating": 123,
"sourceId": "<string>",
"sourceData": {}
}
}Authorizations
Body
application/json
A unique identifier for this specific record from the source system (e.g., a Jira ticket key like "ABC-1234", a Zendesk ticket ID, or a Salesforce case number). This is NOT the same as the source field—it identifies the individual record, not the integration. Used for deduplication and linking back to the original record.